cctools_endian.h File Reference

Byte order conversions. More...

`#include <stdint.h>`

Go to the source code of this file.

## Detailed Description

Byte order conversions.

Posix includes functions for performing byte order conversions for 16 and 32 bit values (htonl(), htons(), ntohl(), ntohs()), but there is no standard 64 bit version. Non-standard endian conversion functions are available on various platforms under <endian.h>, <sys/endian.h>, <Endian.h>, etc. This module provides a portable implementation of htonll() and ntohll() for 64 bit endian conversions.